## EmpathyContactListStore

EmpathyContactListStore

## Synopsis

    enum                EmpathyContactListStoreSort;
                        EmpathyContactListStorePriv;
                        EmpathyContactListStore;
    GList*              (*EmpathyContactGroupsFunc)         (EmpathyContact *contact,
                                                             gpointer user_data);
    EmpathyContactListStore* empathy_contact_list_store_new (EmpathyContactList *list_iface);
    EmpathyContactList* empathy_contact_list_store_get_list_iface
                                                            (EmpathyContactListStore *store);
    gboolean            empathy_contact_list_store_get_show_offline
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_show_offline
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_offline);
    gboolean            empathy_contact_list_store_get_show_avatars
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_show_avatars
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_avatars);
    gboolean            empathy_contact_list_store_get_is_compact
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_is_compact
                                                            (EmpathyContactListStore *store,
                                                             gboolean is_compact);
    EmpathyContactListStoreSort empathy_contact_list_store_get_sort_criterium
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_sort_criterium
                                                            (EmpathyContactListStore *store,
                                                             EmpathyContactListStoreSort sort_criterium);
    gboolean            empathy_contact_list_store_row_separator_func
                                                            (GtkTreeModel *model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);
    gchar*              empathy_contact_list_store_get_parent_group
                                                            (GtkTreeModel *model,
                                                             GtkTreePath *path,
                                                             gboolean *path_is_group);
    gboolean            empathy_contact_list_store_search_equal_func
                                                            (GtkTreeModel *model,
                                                             gint column,
                                                             const gchar *key,
                                                             GtkTreeIter *iter,
                                                             gpointer search_data);

## Description

## Details

### enum EmpathyContactListStoreSort

    typedef enum {
    	EMPATHY_CONTACT_LIST_STORE_SORT_STATE,
    	EMPATHY_CONTACT_LIST_STORE_SORT_NAME
    } EmpathyContactListStoreSort;

### EmpathyContactListStorePriv

    typedef struct _EmpathyContactListStorePriv EmpathyContactListStorePriv;

### EmpathyContactListStore

    typedef struct {
    	GtkTreeStore            parent;
    } EmpathyContactListStore;

### EmpathyContactGroupsFunc ()

    GList*              (*EmpathyContactGroupsFunc)         (EmpathyContact *contact,
                                                             gpointer user_data);

`contact` : |
`user_data` : |
Returns : |

### empathy_contact_list_store_new ()

    EmpathyContactListStore* empathy_contact_list_store_new (EmpathyContactList *list_iface);

`list_iface` : |
Returns : |

### empathy_contact_list_store_get_list_iface ()

    EmpathyContactList* empathy_contact_list_store_get_list_iface
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_get_show_offline ()

    gboolean            empathy_contact_list_store_get_show_offline
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_show_offline ()

    void                empathy_contact_list_store_set_show_offline
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_offline);

`store` : |
`show_offline` : |

### empathy_contact_list_store_get_show_avatars ()

    gboolean            empathy_contact_list_store_get_show_avatars
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_show_avatars ()

    void                empathy_contact_list_store_set_show_avatars
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_avatars);

`store` : |
`show_avatars` : |

### empathy_contact_list_store_get_is_compact ()

    gboolean            empathy_contact_list_store_get_is_compact
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_is_compact ()

    void                empathy_contact_list_store_set_is_compact
                                                            (EmpathyContactListStore *store,
                                                             gboolean is_compact);

`store` : |
`is_compact` : |

### empathy_contact_list_store_get_sort_criterium ()

    EmpathyContactListStoreSort empathy_contact_list_store_get_sort_criterium
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_sort_criterium ()

    void                empathy_contact_list_store_set_sort_criterium
                                                            (EmpathyContactListStore *store,
                                                             EmpathyContactListStoreSort sort_criterium);

`store` : |
`sort_criterium` : |

### empathy_contact_list_store_row_separator_func ()

    gboolean            empathy_contact_list_store_row_separator_func
                                                            (GtkTreeModel *model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);

`model` : |
`iter` : |
`data` : |
Returns : |

### empathy_contact_list_store_get_parent_group ()

    gchar*              empathy_contact_list_store_get_parent_group
                                                            (GtkTreeModel *model,
                                                             GtkTreePath *path,
                                                             gboolean *path_is_group);

`model` : |
`path` : |
`path_is_group` : |
Returns : |

### empathy_contact_list_store_search_equal_func ()

    gboolean            empathy_contact_list_store_search_equal_func
                                                            (GtkTreeModel *model,
                                                             gint column,
                                                             const gchar *key,
                                                             GtkTreeIter *iter,
                                                             gpointer search_data);

`model` : |
`column` : |
`key` : |
`iter` : |
`search_data` : |
Returns : |